# std::exception::operator=

From cppreference.com
< cpp‎ | error‎ | exception

exception& operator=( const exception& other ) throw(); |  | (until C++11)
exception& operator=( const exception& other ) noexcept; |  | (since C++11)

Copy assignment operator. Assigns the contents of `other`

The effects of calling what() after assignment are implementation-defined. | (until C++11)
If `*this` and `other` both have dynamic type `std::exception` then std::strcmp(what(), other.what()) == 0. | (since C++11)

### Parameters

other | - | another exception to assign the contents of

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/exception/operator%3D&oldid=110200"